Getting Error Installing Media Node


#1

Hey there,

I purchased your FFMPEG add-on, and am trying to install Media Node on my sever, but getting an error. I am on a Hostgator VPS package with SSH enabled. Server is running CENTOS 5.10 x86_64, and I am accessing through Mac Terminal.

I run the installation script (curl -sL https://raw.github.com/rtCamp/media-node/master/install.sh | sudo bash) and get an "Installation Failed" at the end.

I get these errors: http://pkgrepo.linuxtech.net/el6/release/repodata/primary.sqlite.bz2: [Errno -3] Error performing checksum Error: failure: repodata/primary.sqlite.bz2 from linuxtech: [Errno 256] No more mirrors to try.

Do you have any insight as to why this is occurring? Many thanks.


#2

Hey there.

This issue seems to have arisen because of the version of CentOs I am running on the server. I found a solution here: http://www.openfusion.net/tags/centos/

In Summary: it happens when you are doing a yum update (like the one in your installer), on a centos5 or rhel5 box, using rpms from a repository on a centos6 or rhel6 server (or anywhere else with a more modern createrepo available).

So the installation made it past that point where it was stuck, but it looks like it failed at the end:

Transaction Summary

Install 5 Package(s) Upgrade 0 Package(s)

Total download size: 563 k Downloading Packages: (1/5): libfaac-1.28-3.el6.i686.rpm | 48 kB 00:00
(2/5): libfaac-1.28-3.el6.x86_64.rpm | 49 kB 00:00
(3/5): libfaac-devel-1.28-3.el6.i686.rpm | 52 kB 00:00
(4/5): libfaac-devel-1.28-3.el6.x86_64.rpm | 55 kB 00:00

(5/5): nasm-0.98.39-3.2.2.x86_64.rpm | 360 kB 00:00

Total 164 kB/s | 563 kB 00:03
error: rpmts_HdrFromFdno: Header V4 RSA/SHA1 signature: BAD, key ID 5cc6587f Problem opening package libfaac-1.28-3.el6.x86_64.rpm

Installation Failed


#3

I scoured the internet for a solution... and nothing. I'm sure you can figure it out,but the issue looks to be occuring because the libfaac-devel-1.28-3.el6.x86_64.rpm package was signed using a server running Centos 6 , and my server is running Centos 5.10. You didn't list Centos v6 as a requirement, so I'm hoping you have a suggestion for how to resolve this.


#4

Hello Jaemaz,

Sorry for inconvenience and delay added by weekend.

CentOS 5.x comes with python 2.4 and doesn't support the python 2.6. [node.js] (https://github.com/joyent/node) is requires the python 2.6 or newer version. Also some of required repository is not available for the CentOS 5.x.

So CentOS 6.x is minimum we need and we have updated our docs to reflect this.

If you are not in position to upgrade from CentOS 5.x to CentOS 6.x, we will refund for your purchase.

However, if you can upgrade from CentOS 5.x to CentOS 6.x, we will be happy to provide you [installation service] (https://rtcamp.com/store/rtmedia-ffmpeg-media-node-setup-service/) for free.


#5

this was a private reply with post_id 56446


#6

Really sorry for inconvenience. Thanks for going with Centos 6.

When upgrade is done, just update us and we will complete media-node installation as well as configure your FFMPEG addon correctly to work with it.


#7

this was a private reply with post_id 56525


#8

Hi Jaemaz,

Can you send me your server root access detail and wordpress admin login details on faishal.saiyed@rtcamp.com ?


#9

Information sent to your email.

Cheers, JM


#10

this was a private reply with post_id 56791


#11

this was a private reply with post_id 56826


#12

this was a private reply with post_id 56853


#13

this was a private reply with post_id 56863


#14

this was a private reply with post_id 56888


#15